{ config, pkgs, lib, ... }:

{
  home.packages = with pkgs; [ any-nix-shell ];

  programs.zsh = {
    enable = true;

    oh-my-zsh = {
      enable = true;
      plugins = [ "git" "sudo" "docker" "docker-compose" "adb" "systemd" ];
      theme = "bira";
    };

    initExtra = ''
      any-nix-shell zsh --info-right | source /dev/stdin
      source ${pkgs.nix-index}/etc/profile.d/command-not-found.sh
    '';
  };
}

